## pg-similarity 1.0

=== Makefile ===
# pg_similarity extension

EXTENSION = pg_similarity
MODULE_big = pg_similarity
OBJS = tokenizer.o similarity.o similarity_gin.o \
       block.o cosine.o dice.o euclidean.o hamming.o jaccard.o \
       jaro.o levenshtein.o matching.o mongeelkan.o needlemanwunsch.o \
	   overlap.o qgram.o smithwaterman.o smithwatermangotoh.o soundex.o
DATA_built = pg_similarity.sql
DATA = pg_similarity--1.0.sql pg_similarity--unpackaged--1.0.sql
REGRESS = test1 test2 test3 test4
#DOCS = README.md

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_similarity
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## pg-similarity 1.0~20160916

=== debian/changelog ===
pg-similarity (1.0~20160916-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Nov 2017 21:20:16 +0100

=== debian/control ===
Source: pg-similarity
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-similarity.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-similarity.git
Homepage: https://github.com/eulerto/pg_similarity

Package: postgresql-10-similarity
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL similarity functions extension
 pg_similarity is an extension to support similarity queries on PostgreSQL.
 The extension consists of:
 .
  * Functions implementing similarity algorithms available in the literature.
    These functions can be used as UDFs and are the base for implementing
    the similarity operators;
  * Operators defined on top of the similarity functions. They use similarity
    functions to obtain the similarity threshold and compare its value to a
    user-defined threshold to decide if it is a match or not;
  * Session variables storing similarity function parameters.

=== debian/watch ===
version=4
https://github.com/eulerto/pg_similarity/releases .*/(.*).tar.gz

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg18.04+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

pg-similarity (1.0-5) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:23:58 +0200

pg-similarity (1.0-4) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:42:07 +0200

pg-similarity (1.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:35:11 +0100

pg-similarity (1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:14:58 +0200

pg-similarity (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Mark license as BSD rather than MIT, pointed out by Thorsten Alteholz,
    thanks!
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 27 Mar 2018 10:48:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pg-similarity
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-similarity.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-similarity.git
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/postgresql/pg-similarity
+Vcs-Git: https://salsa.debian.org/postgresql/pg-similarity.git
 Homepage: https://github.com/eulerto/pg_similarity
 
 Package: postgresql-10-similarity
@@ -24,3 +25,62 @@
     user-defined threshold to decide if it is a match or not;
   * Session variables storing similarity function parameters.
 
+Package: postgresql-11-similarity
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL similarity functions extension
+ pg_similarity is an extension to support similarity queries on PostgreSQL.
+ The extension consists of:
+ .
+  * Functions implementing similarity algorithms available in the literature.
+    These functions can be used as UDFs and are the base for implementing
+    the similarity operators;
+  * Operators defined on top of the similarity functions. They use similarity
+    functions to obtain the similarity threshold and compare its value to a
+    user-defined threshold to decide if it is a match or not;
+  * Session variables storing similarity function parameters.
+
+Package: postgresql-12-similarity
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL similarity functions extension
+ pg_similarity is an extension to support similarity queries on PostgreSQL.
+ The extension consists of:
+ .
+  * Functions implementing similarity algorithms available in the literature.
+    These functions can be used as UDFs and are the base for implementing
+    the similarity operators;
+  * Operators defined on top of the similarity functions. They use similarity
+    functions to obtain the similarity threshold and compare its value to a
+    user-defined threshold to decide if it is a match or not;
+  * Session variables storing similarity function parameters.
+
+Package: postgresql-13-similarity
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL similarity functions extension
+ pg_similarity is an extension to support similarity queries on PostgreSQL.
+ The extension consists of:
+ .
+  * Functions implementing similarity algorithms available in the literature.
+    These functions can be used as UDFs and are the base for implementing
+    the similarity operators;
+  * Operators defined on top of the similarity functions. They use similarity
+    functions to obtain the similarity threshold and compare its value to a
+    user-defined threshold to decide if it is a match or not;
+  * Session variables storing similarity function parameters.
+
+Package: postgresql-14-similarity
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL similarity functions extension
+ pg_similarity is an extension to support similarity queries on PostgreSQL.
+ The extension consists of:
+ .
+  * Functions implementing similarity algorithms available in the literature.
+    These functions can be used as UDFs and are the base for implementing
+    the similarity operators;
+  * Operators defined on top of the similarity functions. They use similarity
+    functions to obtain the similarity threshold and compare its value to a
+    user-defined threshold to decide if it is a match or not;
+  * Session variables storing similarity function parameters.

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg22.04+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-similarity

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg90+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-similarity

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg100+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-similarity

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg110+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg120+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

## pg-similarity 1.0~20220627.1408-5~1.git21468d9.pgdg+1

=== debian/changelog ===
pg-similarity (1.0~20220627.1408-5~1.git21468d9.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:23:58 +0200

## pg-similarity 1.0

=== debian/changelog ===
pg-similarity (1.0-9) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117289)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:47:35 +0200

pg-similarity (1.0-8) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Strip packaging repo down to debian/.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 10:41:46 +0200

pg-similarity (1.0-7) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Fix datum-vs-pointer issue; fix GUC boot values.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 10:19:20 +0200

pg-similarity (1.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:59:50 +0200

=== debian/control ===
Source: pg-similarity
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/postgresql/pg-similarity
Vcs-Git: https://salsa.debian.org/postgresql/pg-similarity.git
Homepage: https://github.com/eulerto/pg_similarity

Package: postgresql-18-similarity
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL similarity functions extension
 pg_similarity is an extension to support similarity queries on PostgreSQL.
 The extension consists of:
 .
  * Functions implementing similarity algorithms available in the literature.
    These functions can be used as UDFs and are the base for implementing
    the similarity operators;
  * Operators defined on top of the similarity functions. They use similarity
    functions to obtain the similarity threshold and compare its value to a
    user-defined threshold to decide if it is a match or not;
  * Session variables storing similarity function parameters.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext -o extra_float_digits=0 installcheck . . postgresql-%v-similarity

%:
	dh $@ --with pgxs
